Skip to main content
GET
/
payment
/
history
Get payments
curl --request GET \
  --url https://api.onswitch.xyz/payment/history \
  --header 'x-service-key: <api-key>'
import requests

url = "https://api.onswitch.xyz/payment/history"

headers = {"x-service-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};

fetch('https://api.onswitch.xyz/payment/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Payment history fetched successfully",
  "timestamp": "2026-04-18T14:22:08.631Z",
  "data": {
    "data": [
      {
        "status": "COMPLETED",
        "type": "OFFRAMP",
        "reference": "a3f9c2e1-7b4d-4a8e-9c62-1d8f4e6b2a90",
        "beneficiary": "69d8d8f1ad6205a9a0e89302",
        "rate": 1582.44,
        "source": {
          "amount": 250,
          "amount_usd": 250,
          "network": "BASE",
          "currency": "USDC"
        },
        "destination": {
          "amount": 395610,
          "amount_usd": 250,
          "network": "FIAT",
          "currency": "NGN"
        },
        "deposit": {
          "amount": 250,
          "address": "0x42c9E1aF8d736B2D094e6590315Dc7a1F947c4B0e",
          "asset": "base:usdc",
          "note": [
            "Send exactly this amount to the address shown.",
            "This address expires in 30 minutes."
          ]
        },
        "meta": {
          "sender": {
            "wallet_address": "0x8F3aC91d2B741E59f064E9053a4d2E8F1c0b6D93a"
          },
          "session_id": "184729305611082934715600428391",
          "hash": "0x4a2f8e9c1d7b5630fe2a894bc31d0567e8c924fa11de45b3290fc1821ead3f6b",
          "explorer_url": "https://basescan.org/tx/4a2f8e9c1d7b5630fe2a894bc31d0567e8c924fa11de45b3290fc1821ead3f6b"
        },
        "created_at": "2026-04-18T13:05:12.004Z",
        "updated_at": "2026-04-18T13:08:44.991Z"
      }
    ],
    "page": 1,
    "limit": 10,
    "total": 142,
    "pages": 15
  }
}
{
"success": false,
"message": "amount must be greater than 0 for the selected corridor",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": null
}

Authorizations

x-service-key
string
header
required

Service key for API authentication

Query Parameters

type
enum<string>

Filter by payment type

Available options:
OFFRAMP,
ONRAMP,
SWAP,
WALLET
status
enum<string>

Filter by payment status

Available options:
AWAITING_DEPOSIT,
PROCESSING,
COMPLETED,
FAILED

Filter by reference or keyword

Maximum string length: 200
start_date
string<date-time>

Filter by start date e.g 2026-01-01

end_date
string<date-time>

Filter by end date e.g 2026-01-01

page
integer
default:1

Results page number. Default 1.

Required range: x >= 1
limit
integer
default:10

Results per page. Default 10, maximum 100.

Required range: 1 <= x <= 100

Response

Payment history retrieved successfully

success
boolean
required
message
string
required
timestamp
string<date-time>
required
data
object
required